Account & setup
Get deletion operation
Poll an accepted Box or snapshot deletion operation.
GET
/
deletion-operations
/
{operationId}
Get deletion operation
curl --request GET \
--url https://ascii.dev/api/box/v1/deletion-operations/{operationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://ascii.dev/api/box/v1/deletion-operations/{operationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ascii.dev/api/box/v1/deletion-operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"type": "deletion.operation",
"operation": {
"id": "<string>",
"kind": "box",
"targetId": "<string>",
"reason": "explicit",
"status": "pending",
"attemptCount": 1,
"requestedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"ok": false,
"type": "box.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "box.error",
"status": 409,
"code": "provider_not_configured",
"message": "Prompting is locked until Codex is configured on the Agents page.",
"requestId": "req_01HX...",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}Authorizations
Box bearer token in the form box_.... Service API keys authenticate Box operations.
Path Parameters
Deletion operation id returned by an accepted delete request.
Pattern:
^bdop_[a-f0-9]{32}$⌘I
Get deletion operation
